org.apache.tinkerpop.gremlin.spark.structure.io.gryo

## Class GryoRegistrator

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.structure.io.gryo.GryoRegistrator

-     public class GryoRegistrator
      extends Object

  A spark.kryo.registrator implementation that installs TinkerPop types. This is intended for use with spark.serializer=KryoSerializer, not GryoSerializer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GryoRegistrator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerClasses(Kryo kryo)`
    `void` | `registerClasses(Kryo kryo, Map<Class<?>,<any>> serializerOverrides, Set<Class<?>> blacklist)` Register TinkerPop's classes with the supplied `Kryo` instance while honoring optional overrides and optional class blacklist ("blackset"?).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GryoRegistrator

          public GryoRegistrator()

  - ### Method Detail

    - #### registerClasses

          public void registerClasses(Kryo kryo)

    - #### registerClasses

          public void registerClasses(Kryo kryo,
                                      Map<Class<?>,<any>> serializerOverrides,
                                      Set<Class<?>> blacklist)

      Register TinkerPop's classes with the supplied `Kryo` instance while honoring optional overrides and optional class blacklist ("blackset"?).
      Parameters:
        `kryo` - the Kryo serializer instance with which to register types
        `serializerOverrides` - serializer mappings that override this class's defaults
        `blacklist` - classes which should not be registered at all, even if there is an override entry or if they would be registered by this class by default (does not affect Kryo's built-in registrations, e.g. String.class).

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.